Authors
List authors
Query and list disambiguated author profiles with filtering, sorting, and pagination.
GET
/
authors
curl -X GET "https://api.hexagraph.in/authors?sort=cited_by_count:desc&per_page=25"
fetch("https://api.hexagraph.in/authors?sort=cited_by_count:desc&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/authors", params={"sort": "cited_by_count:desc", "per_page": 25})
print(response.json())
{
"meta": {
"count": 123036863,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_A5028125522",
"orcid": "https://orcid.org/0000-0001-5669-1937",
"name": "T. Kobayashi",
"full_name": "KOBAYASHI, Tatsuya",
"outputs_count": 2429356,
"cited_by_count": 3625,
"last_known_institutions": [
{
"id": "HX_I135598925",
"name": "Kyushu University"
},
{
"id": "HX_I150993360",
"name": "Hamamatsu Photonics (Japan)"
},
{
"id": "HX_I199525922",
"name": "National Institutes of Natural Sciences"
},
{
"id": "HX_I200475212",
"name": "The Graduate University for Advanced Studies, SOKENDAI"
},
{
"id": "HX_I4210108322",
"name": "National Institute for Fusion Science"
}
],
"updated_date": "2026-08-03T12:17:51",
"created_date": "2016-06-24T00:00:00",
"topics": [
{
"id": "HX_T10346",
"name": "Magnetic confinement fusion research"
},
{
"id": "HX_T10159",
"name": "Ionosphere and magnetosphere dynamics"
},
{
"id": "HX_T10251",
"name": "Solar and Space Plasma Dynamics"
},
{
"id": "HX_T10384",
"name": "Laser-Plasma Interactions and Diagnostics"
},
{
"id": "HX_T10781",
"name": "Plasma Diagnostics and Applications"
}
]
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
Retrieves a paginated list of author profiles with filtering and sorting capabilities.
Query Parameters
integer
default:"1"
Page number for pagination. Default is
1.integer
default:"25"
Results per page. Allowed values:
10, 25, 50, 100.string
Filter expression (e.g.
outputs_count:>100, orcid:https://orcid.org/...).string
Sorting parameter (allowed fields:
cited_by_count, outputs_count, id, name).Response Fields
object
required
array
required
Array of author records.
Show results item attributes
Show results item attributes
string
Author ID (
HX_A...).string
ORCID iD URL.
string
Author display name.
string
Author full name.
integer
Outputs count.
integer
Citations count.
array
string
ISO update date string.
string
ISO creation date string.
curl -X GET "https://api.hexagraph.in/authors?sort=cited_by_count:desc&per_page=25"
fetch("https://api.hexagraph.in/authors?sort=cited_by_count:desc&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/authors", params={"sort": "cited_by_count:desc", "per_page": 25})
print(response.json())
{
"meta": {
"count": 123036863,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_A5028125522",
"orcid": "https://orcid.org/0000-0001-5669-1937",
"name": "T. Kobayashi",
"full_name": "KOBAYASHI, Tatsuya",
"outputs_count": 2429356,
"cited_by_count": 3625,
"last_known_institutions": [
{
"id": "HX_I135598925",
"name": "Kyushu University"
},
{
"id": "HX_I150993360",
"name": "Hamamatsu Photonics (Japan)"
},
{
"id": "HX_I199525922",
"name": "National Institutes of Natural Sciences"
},
{
"id": "HX_I200475212",
"name": "The Graduate University for Advanced Studies, SOKENDAI"
},
{
"id": "HX_I4210108322",
"name": "National Institute for Fusion Science"
}
],
"updated_date": "2026-08-03T12:17:51",
"created_date": "2016-06-24T00:00:00",
"topics": [
{
"id": "HX_T10346",
"name": "Magnetic confinement fusion research"
},
{
"id": "HX_T10159",
"name": "Ionosphere and magnetosphere dynamics"
},
{
"id": "HX_T10251",
"name": "Solar and Space Plasma Dynamics"
},
{
"id": "HX_T10384",
"name": "Laser-Plasma Interactions and Diagnostics"
},
{
"id": "HX_T10781",
"name": "Plasma Diagnostics and Applications"
}
]
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
⌘I
curl -X GET "https://api.hexagraph.in/authors?sort=cited_by_count:desc&per_page=25"
fetch("https://api.hexagraph.in/authors?sort=cited_by_count:desc&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/authors", params={"sort": "cited_by_count:desc", "per_page": 25})
print(response.json())
{
"meta": {
"count": 123036863,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_A5028125522",
"orcid": "https://orcid.org/0000-0001-5669-1937",
"name": "T. Kobayashi",
"full_name": "KOBAYASHI, Tatsuya",
"outputs_count": 2429356,
"cited_by_count": 3625,
"last_known_institutions": [
{
"id": "HX_I135598925",
"name": "Kyushu University"
},
{
"id": "HX_I150993360",
"name": "Hamamatsu Photonics (Japan)"
},
{
"id": "HX_I199525922",
"name": "National Institutes of Natural Sciences"
},
{
"id": "HX_I200475212",
"name": "The Graduate University for Advanced Studies, SOKENDAI"
},
{
"id": "HX_I4210108322",
"name": "National Institute for Fusion Science"
}
],
"updated_date": "2026-08-03T12:17:51",
"created_date": "2016-06-24T00:00:00",
"topics": [
{
"id": "HX_T10346",
"name": "Magnetic confinement fusion research"
},
{
"id": "HX_T10159",
"name": "Ionosphere and magnetosphere dynamics"
},
{
"id": "HX_T10251",
"name": "Solar and Space Plasma Dynamics"
},
{
"id": "HX_T10384",
"name": "Laser-Plasma Interactions and Diagnostics"
},
{
"id": "HX_T10781",
"name": "Plasma Diagnostics and Applications"
}
]
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}